/***************************************************************************
 *****                                                                 *****
 *****  Name: Unit1.h, header for Unit1.cpp, part of IO08.cpp          *****
 *****  Ver.: 2.0                                                      *****
 *****  Date: 30-NOV-2000                                              *****
 *****  Func: Win98/2000 frontend for USB08 evaluation board           *****
 *****  Auth: Andreas Dannenberg, eMail: adannenb@elektronikladen.de   *****
 *****  Rem.: Build with Borland C++ Builder Pro V5.0                  *****
 *****                                                                 *****
 ***************************************************************************/

//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ImgList.hpp>
#include "CGAUGES.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <inifiles.hpp>
//---------------------------------------------------------------------------
#include "UsbIo.cpp"                // USB class librarys
#include "UsbIoPipe.cpp"
#include "UsbIoBuf.cpp"
//---------------------------------------------------------------------------
struct Tio_buffer {                 // data packet to transmit/receive
  unsigned char  binary0, binary1, binary2;
  unsigned char analog0, analog1, analog2;
  unsigned char not_used[2];
};
//---------------------------------------------------------------------------
#define HC08_ID_VENDOR  0x0C70      // MCT Elektronikladen Vendor ID
#define HC08_ID_PRODUCT 0x0000      // Product ID

#define LED_ON  2                   // "TImageList Images" indexes
#define LED_OFF 0
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
        TGroupBox *DigiOutBox;
        TCheckBox *DigitalOut1Box;
        TCheckBox *DigitalOut2Box;
        TCheckBox *DigitalOut3Box;
        TGroupBox *DigiInBox;
        TGroupBox *GroupBox1;
        TCGauge *Analog1;
        TCGauge *Analog3;
        TCGauge *Analog2;
        TLabel *Label1;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label2;
        TImage *LED1;
        TImage *LED2;
        TImage *LED3;
        TLabel *Label5;
        TLabel *Label6;
        TTimer *Timer1;
        TStatusBar *StatusBar;
        TImageList *Images;
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
private:	// User declarations
      #ifdef UseUSBpipe
        CUsbIo UsbIo;                           // USB class for basic functions
        CUsbIoPipe UsbIoPipeIn, UsbIoPipeOut;   // USB pipe classes
      #else
        HANDLE MyHandle;                        // handle needed for serial comm.
      #endif
        Tio_buffer io_buffer;
        bool openpipe(void);
        bool closepipe(void);
        bool xferpipe(Tio_buffer *io_buffer);
public:		// User declarations
        __fastcall TMainForm(TComponent* Owner);
     };
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
